// @import 'variables';
@import '../../../../scss/variables';

.login {
  &-page {
    display: flex;
    align-items: center;
    justify-content: center;
    background: url($large-bg-image-url);
    background-size: cover;
  }

  &-page-slogan {
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
}

@media (max-width: 768px) {
  .login {
    &-page-background {
      height: 100vh;
      border-radius: 0px;
      box-shadow: none;
      background: url($small-bg-image-url);
      background-size: cover;
    }
    .container {
      max-width: 500px;
    }
  }
}


.title {
  font-size: 1.4em;
  text-align: center;
}

.sub-title {
  font-size: 1.2em;
  text-align: center;
}

.register-type {
  padding: 10px;
  border: 1px solid #dbdbdb;
  width: 100%;
  margin: 0px 10px;
  text-align: center;
  border-radius: 5px;
  &:hover {
    cursor: pointer;
  }
}

.register-type > fa-icon {
  font-size: 50px;
}

.register-type > label {
  font-size: 20px;
}

.register-type.is-active {
  background: $primary-color;
  color: #fff;
}

.register-type.is-active > fa-icon {
  color: #fff;
}

.register-type.is-active > label {
  color: #fff;
}

.text-content {
  font-size: 1em;
}

.text-content-small {
  font-size: 0.8em;
}

.mb-10 {
  margin-bottom: 10px;
}

.has-side-line::before,
.has-side-line::after {
  content: '';
  position: absolute;
  height: 5px;
  border-bottom: 1px solid #4a4a4a;
  border-top: 1px solid #4a4a4a;
  top: 0;
  width: 600px;
}

.has-side-line {
  width: 100%;
  text-align: center;
  border-bottom: 1px solid #000;
  line-height: 0.1em;
  margin: 10px 0 20px;
}

.has-side-line span {
  background: #fff;
  padding: 0 10px;
}

.title-icon {
  font-size: 80px;
}

.sub-title {
  font-size: 1.2em;
}
